# Find plib.  Defines PLIB_FOUND.

FIND_PATH(PLIB_INCLUDE_DIR sl.h /usr/include/plib /usr/local/include/plib)

FIND_LIBRARY(PLIB_LIBRARY NAMES plibsl PATH /usr/lib /usr/local/lib /usr/local/lib64) 

IF (PLIB_INCLUDE_DIR AND PLIB_LIBRARY)
   SET(PLIB_FOUND TRUE)
ENDIF (PLIB_INCLUDE_DIR AND PLIB_LIBRARY)

IF (PLIB_FOUND)
   IF (NOT PLIB_FIND_QUIETLY)
      MESSAGE(STATUS "Found PLIB: ${PLIB_LIBRARY}")
   ENDIF (NOT PLIB_FIND_QUIETLY)
ELSE (PLIB_FOUND)
   IF (PLIB_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR "Could not find PLIB")
   ENDIF (PLIB_FIND_REQUIRED)
ENDIF (PLIB_FOUND)
