/*****************************************************************************
 * $LastChangedDate: 2008-08-31 18:25:27 -0400 (Sun, 31 Aug 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Misc functions.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef BASE_MISC_HH
#define BASE_MISC_HH 1

namespace base {

int
Argi( int idx, int argc_, char** argv_ );

float
Argf( int idx, int argc_, char** argv_ );

string
Argstr( int idx, int argc_, char** argv_ );

void
CmdargDone( int i, int n = 1 );

bool
IfCmdargDone( int i );

fp
PrintableMegabyte( const long bytes );

#if OS_CYGWIN
char* STRCASESTR( const char *s, const char* find );
#else
#define STRCASESTR strcasestr
#endif

} // namespace base

#endif // BASE_MISC_HH
