/*****************************************************************************
 * $LastChangedDate: 2008-09-08 20:54:45 -0400 (Mon, 08 Sep 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Typesig definitions.
 *//*
 * LEGAL:	COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#if DEBUG
#ifndef CONTROL_TYPESIG_DEFS_HH
#define CONTROL_TYPESIG_DEFS_HH 1

namespace control {

/// Type signatures.
enum
{
	TYPESIG_COMMAND		= (uint('c')<<24) | (uint('o')<<16) | (uint('m')<<8) | uint('d'),
	TYPESIG_REPLAY		= (uint('r')<<24) | (uint('p')<<16) | (uint('l')<<8) | uint('a'),
	TYPESIG_REPLAY_STEP = (uint('r')<<24) | (uint('s')<<16) | (uint('t')<<8) | uint('p'),
};

} // namespace control

#endif // CONTROL_TYPESIG_DEFS_HH
#endif // DEBUG
