/*****************************************************************************
 * $LastChangedDate: 2008-08-20 00:44:49 -0400 (Wed, 20 Aug 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Definitions.
 *//*
 * LEGAL:	COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef FX_DEFS_HH
#define FX_DEFS_HH 1

namespace fx {
namespace defs {

const Milliseconds FX_TICK_FREQ( 500 );					///< frequency of FX container (destroys zombies)
const Milliseconds PARTICLE_SYSTEM_TICK_FREQ( 20 );		///< frequency of particle-system animation
const uint         MAX_PARTICLES_ONE_SYSTEM  = 2000;	///< in one particle-system
const uint         MAX_PARTICLES_ALL_SYSTEMS = 20000;	///< in all particle-systems

} // namespace defs
} // namespace fx

#endif // FX_DEFS_HH
