/*****************************************************************************
 * $LastChangedDate: 2008-04-13 19:54:02 -0400 (Sun, 13 Apr 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Main header file.
 * @namespace graph
 * @brief graph module.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef GRAPH_MODULE_HH
#define GRAPH_MODULE_HH 1

#include "math/module.hh"
#include "math/matrix.hh"
using namespace math;
#include "types/module.hh"
#include "types/graphics.hh"
using namespace types;
#if DEBUG
#include "graph/typesig_defs.hh"
#endif
#include "graph/typedefs.hh"
#include "graph/graph.hh"

#endif // GRAPH_MODULE_HH
