/*****************************************************************************
 * $LastChangedDate: 2008-09-20 10:29:31 -0400 (Sat, 20 Sep 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Configuration definitions.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef INPUT_DEFS_CONF_HH
#define INPUT_DEFS_CONF_HH 1

namespace input {
namespace defs {

const Milliseconds DEFAULT_INPUT_QUEUE_TICK_FREQ = base::defs::DEFAULT_TICK_FREQ;   ///< frequency of pulsing InputQueue

} // namespace defs
} // namespace input

#endif // INPUT_DEFS_CONF_HH
