/*****************************************************************************
 * $LastChangedDate: 2008-02-03 13:14:41 -0500 (Sun, 03 Feb 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Globals (the fewer the better).
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef PROGRAM_GLOBALS_HH
#define PROGRAM_GLOBALS_HH 1

namespace program {

#define gProgram program::globals.mProgram

////////////////////////////////////////////////////////////////////////////////
/// @brief Globals struct.
///
struct Globals
{
	Program		mProgram;
};

#if PROGRAM_MODULE_CC
Globals globals;
#else
extern Globals globals;
#endif

} // namespace program

#endif // PROGRAM_GLOBALS_HH
