#!/bin/sh
# $LastChangedDate: 2008-05-13 23:19:41 -0400 (Tue, 13 May 2008) $

# Compile tests if necessary.
if [ ! -d out ]; then
    make DEBUG=1 -C ../..
    make DEBUG=1
fi

# Run each test.  For each executable in out/
for TEST in out/*
do
    if [ -x $TEST ] && [ ! -d $TEST ]; then
        echo "---  running test $TEST ---"
        if ( ! $TEST ); then
        echo "---  test $TEST FAILED! ---"
            exit 1
        fi
    fi
done

echo "*************************"
echo "* All tests passed (ok) *"
echo "*************************"
exit 0
